Joomla 4. Компонент K2 и форк K2ForJ4 (18 янв 2024)

Если вас, как и меня, достало выслушивать (вычитывать) бесконечные обещания разработчика K2 опубликовать версию компонента K2 под Joomla 4 (без чего невозможно реализовать апгрейд from Joomla 3 to Joomla 4) - воспользуйтесь форком K2ForJ4. Который в данный момент установлен и без каких-либо проблем работает на этом веб-сайте.

ActiveRecord::StatementInvalid: PG::InsufficientPrivilege

Больше
2 года 5 мес. назад #1 от Вебмастер
Вебмастер создал тему: ActiveRecord::StatementInvalid: PG::InsufficientPrivilege
При запуске теста приложения
Code:
$ bin/rails test test/models/post_test.rb

получаю отлуп:
Code:
ActiveRecord::StatementInvalid: PG::InsufficientPrivilege: ОШИБКА:  нужно быть владельцем базы my_app_test

Любые идеи... не силен в PostgreSQL.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Dev banner 2
Больше
2 года 5 мес. назад #2 от serge
Вот так, вероятно, попробуй:
Code:
$ sudo -u postgres psql # ALTER USER WITH SUPERUSER;

А я смогу! - А поглядим! - А я упрямый!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 года 5 мес. назад #3 от evgenij

Вот так, вероятно, попробуй:

Code:
$ sudo -u postgres psql # ALTER USER WITH SUPERUSER;
Подробно расписаны все способы здесь :
Но serge дает хороший совет, с него рекомендую начать.
Какая версия postgres?

Have a lot of fun!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Работает на Kunena форум